## icedove 8.0

=== debian/changelog ===
icedove (8.0-1) experimental; urgency=low

  [ Guido Günther ]
  * [17a7a80] Add x-scheme-handler/mailto to. Thanks to Michael Biebl for the
    patch (Closes: #645556)

  [ Christoph Goehre ]
  * [4066038] New Upstream version 8.0
  * [aa9105e] update autoconfig for e-mail accounts from riseup.net
    (Closes: #648907)
  * [decc1ac] fix wrong description text in iceowl-extension (Closes: #649073)
  * [c97dda6] rebuild patch queue from patch-queue branch
    added patches:
    - debian-hacks/Statically-link-jemalloc-to-all-programs.patch
    - fixes/Bug-670719-Only-add-DENABLE_JIT-1-to-CXXFLAGS-if-any.patch
    - fixes/Bug-680642-Don-t-enable-YARR-JIT-on-MIPS-as-the-impl.patch
    - porting/Bug-589735-Allocate-memory-with-an-address-with-high.patch
    - porting/Bug-589735-Allow-static-JS-strings-to-be-turned-off-.patch
    - porting/Bug-680917-Use-a-pool-size-of-16kB-on-ia64-for-bump-.patch
    - porting/Bug-694533-LDRH-STRH-LDRSB-STRSB-are-supported-on-AR.patch
    - porting/Bug-696393-Reimplement-NS_InvokeByIndex-in-C-on-S390.patch
    - porting/Revert-bz-164580.patch

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 20 Nov 2011 19:58:37 +0100

icedove (8.0~b4-2) experimental; urgency=low

  [ Guido Günther ]
  * [5d043ec] Install calendar extension
  * [07feb49] Change extension's name to Iceowl
  * [c597212] iceowl-extension: don't ignore errors in postinst
  * [30ec51d] Disable patch numbers
  * [73f80ed] Don't install timezones file mode 0755

  [ Christoph Goehre ]
  * [0fa13be] remove duplicate build depends unzip

 -- Christoph Goehre <chris@sigxcpu.org>  Tue, 08 Nov 2011 22:29:19 +0100

icedove (8.0~b4-1) experimental; urgency=low

  * [4e90977] New Upstream Version 8.0b4 (Closes: #591771, #638161)
  * [955423a] replace duplicate .so files in icedove and icedove-dev with
    symlinks
  * [6ffb325] remove obsolete cdbs rule to extract tarball
  * [f98837b] build against libnotify4 (libnotify-dev >= 0.7)(Closes: #637194)
  * [66f72bc] Build-depend on libjpeg-dev instead of libjpeg62-dev
  * [8af21a2] rebuild patch queue from patch-queue branch
    added patches:
    - debian-hacks/get-ride-of-default-debian-hardering-options.patch
    - fixes/packager-fails-when-MOZILLA_DIR-is-a-relative-path.patch
    modified patches:
    - icedove/save-a-copy-of-a-attached-file-when-sending-from-OOo.patch
    obsolete patches (fixed upstream):
    - debian-hacks/bzXXX-ftbfs-static-with-system-hunspell.patch
    - fixes/Bug-626035-Modify-the-way-arm-compiler-flags-are-set.patch
    - fixes/Bug-639554-Install-sdk-bin-with-make-install.-r-bsme.patch
    - fixes/Bug-640494-part-1-Get-rid-of-STL-algorithm-use-in-js.patch
    - fixes/Bug-640494-part-2-Use-bitwise-operations-in-JSDOUBLE.patch
    - fixes/Bug-652139-Use-an-integer-type-in-DocumentViewerImpl.patch
    - fixes/Bug-662224-Define-NS_ATTR_MALLOC-and-NS_WARN_UNUSED_.patch
    - fixes/Bug-668906-Do-not-call-openUnsharedDatabase-with-a-n.patch
    - fixes/Bug-671564-Initialize-NS_XPCOM_LIBRARY_FILE-from-NS_.patch
    - fixes/Disable-building-embedded-libjpeg-turbo-when-buildin.patch
    - porting/Allow-to-build-yuv_convert_arm.cpp-on-armv4t.patch
    - porting/Bug-638056-Avoid-The-cacheFlush-support-is-missing-o.patch
    - porting/Fix-FTBFS-in-IPC-on-Linux-PPC.patch
    - porting/Fix-FTBFS-in-xpcom-base-on-armv4t.patch
    - system-libs/libxul-linking-error-with-enable-system-ffi-and-stat.patch
  * [5f6e50f] add Japanese translation for desktop menu entry. Thanks to
    Hideki Yamane <henrich@debian.org> (Closes: #640679)
  * [591f76c] add build depends unzip
  * [0af372f] remove upstream integrated CFLAGS and CXXFLAGS '-g -std=gnu++0x'
  * [a4c8b2f] adjust install and links file to new upstream
  * [332b7a8] Revert "override libtheora embedded-library error" no longer
    needed

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 05 Nov 2011 20:31:29 +0100
