=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
 	libsqlite3-dev (>= 3.7.1),
 	libasound2-dev [linux-any],
 	libiw-dev [linux-any],
-	python-ply,
 	cdbs (>= 0.4.27),
 	libnotify-dev (>= 0.7),
 	libffi-dev,
