## icedove 10.0.12

=== debian/changelog ===
icedove (10.0.12-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Mike Hommey <glandium@debian.org>  Sat, 19 Jan 2013 09:16:51 +0000

icedove (10.0.12-1) unstable; urgency=high

  * [c45eb8d] New Upstream version 10.0.12
  * Fixes for MFSA-2013-{01,02,04,05,09,11,12,15-17,20}, also known as
    CVE-2013-0769, CVE-2013-0762, CVE-2013-0766, CVE-2013-0767,
    CVE-2013-0759, CVE-2013-0744, CVE-2013-0746, CVE-2013-0748,
    CVE-2013-0750, CVE-2013-0758, CVE-2013-0753, CVE-2013-0754,
    CVE-2013-0743

 -- Christoph Goehre <chris@sigxcpu.org>  Tue, 15 Jan 2013 18:33:23 -0500

icedove (10.0.11-1) unstable; urgency=high

  * [317e64c] New Upstream version 10.0.11
  * Fixes for MFSA2012-{91-93,100,101,103,105,106}, also known as
    CVE-2012-5842, CVE-2012-4202, CVE-2012-4201, CVE-2012-5841,
    CVE-2012-4207, CVE-2012-4209, CVE-2012-4214, CVE-2012-4215,
    CVE-2012-4216, CVE-2012-5829, CVE-2012-5839, CVE-2012-5840,
    CVE-2012-5830, CVE-2012-5833, CVE-2012-5835

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 22 Nov 2012 18:00:45 -0500

icedove (10.0.10-1) unstable; urgency=high

  * [8909154] New Upstream version 10.0.10
  * Fixes for MFSA2012-90, also known as CVE-2012-4194 and CVE-2012-4196

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 27 Oct 2012 13:14:06 -0400

icedove (10.0.9-1) unstable; urgency=high

  [ Christoph Goehre ]
  * [f2e80c5] New Upstream version 10.0.9
  * Fixes for MFSA2012-{59,74,77,79,81-87,89}, also known as
    CVE-2012-1956, CVE-2012-3982, CVE-2012-3986, CVE-2012-3988,
    CVE-2012-3991, CVE-2012-3994, CVE-2012-3993, CVE-2012-4184,
    CVE-2012-3992, CVE-2012-3995, CVE-2012-4179, CVE-2012-4180,
    CVE-2012-4181, CVE-2012-4182, CVE-2012-4183, CVE-2012-4185,
    CVE-2012-4186, CVE-2012-4187, CVE-2012-4188, CVE-2012-3990,
    CVE-2012-4193, CVE-2012-4192

  [ Jens Reyer ]
  * [bfe7fe6] clarify the relation between iceowl, lightning and sunbird
    (Closes: #686206)

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 14 Oct 2012 10:26:01 -0400

icedove (10.0.7-1) unstable; urgency=high

  * [d059477] New Upstream version 10.0.7 (Closes: #686201)
  * Fixes for MFSA2012-{57,58,61-63,65,70,72}, also known as
    CVE-2012-1970, CVE-2012-1972, CVE-2012-1973, CVE-2012-1974,
    CVE-2012-1975, CVE-2012-1976, CVE-2012-3956, CVE-2012-3957,
    CVE-2012-3958, CVE-2012-3959, CVE-2012-3960, CVE-2012-3961,
    CVE-2012-3962, CVE-2012-3963, CVE-2012-3964, CVE-2012-3966,
    CVE-2012-3968, CVE-2012-3967, CVE-2012-3969, CVE-2012-3970,
    CVE-2012-3972, CVE-2012-3978, CVE-2012-3980
  * [13e3592] rebuild patch queue from patch-queue branch
    added patches:
    - fixes/Allow-webGL-with-mesa-assuming-users-will-have-updat.patch

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 21 Sep 2012 21:11:01 -0400

icedove (10.0.6-2) unstable; urgency=low

  * [a657277] rebuild patch queue from patch-queue branch
    added patches:
    - fixes/Bug-693343-a11y-disabled-in-Gnome-3-when-GNOME_ACCES.patch
      (Closes: #682913)
    - porting/fix-FTBFS-on-Alpha-add-arch-support-for-IPC.patch
      (Closes: #685126)
  * [bf09ad9] update build dependencies (Thanks to Mike) (Closes: #666722)

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 17 Aug 2012 16:11:57 +0200

icedove (10.0.6-1) unstable; urgency=high

  * [1b75920] New Upstream version 10.0.6 (Closes: #682817)
  * Fixes for MFSA2012-{42,44-45,47-49,51-54,56}, also known as
    CVE-2012-1948, CVE-2012-1951, CVE-2012-1952, CVE-2012-1953,
    CVE-2012-1954, CVE-2012-1955, CVE-2012-1957, CVE-2012-1958,
    CVE-2012-1959, CVE-2012-1961, CVE-2012-1962, CVE-2012-1963,
    CVE-2012-1964, CVE-2012-1967
  * [5fdf662] rebuild patch queue from patch-queue branch
    added patches:
    - fixes/Bug-761082-Only-export-TabMessageUtils.h-in-mozilla-.patch
    modified patches:
    - icedove/fix-branding-in-migration-wizard-and-the-addon-manag.patch

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 05 Aug 2012 19:05:48 +0200

icedove (10.0.5-1) unstable; urgency=low

  * [9a9ff18] New Upstream version 10.0.5 (Closes: #677040)
  * Fixes for MFSA2012-{34,36-38,40}, also known as
    CVE-2012-1939, CVE-2012-1937, CVE-2011-3101, CVE-2012-1944,
    CVE-2012-1945, CVE-2012-1946, CVE-2012-1947, CVE-2012-1940,
    CVE-2012-1941
  * [0b143db] rebuild patch queue from patch-queue branch
    added patches:
    - fixes/Bug-709259-Try-creating-a-named-cursor-before-a-bitm.patch
    - fixes/Bug-734490-fix-build-failures-with-Clang-and-GCC-4.7.patch
  * [3d769ec] replace transitional depens ttf-lyx with fonts-lyx
    (Closes: #676505)

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 24 Jun 2012 10:37:07 +0200

icedove (10.0.4-1) unstable; urgency=low

  * [d98435f] New Upstream version 10.0.4
  * Fixes for MFSA2012-{20,22-24,26-27,29-31,33}, also known as
    CVE-2012-0467, CVE-2012-0469, CVE-2012-0470, CVE-2012-0471,
    CVE-2012-0473, CVE-2012-0474, CVE-2012-0477, CVE-2012-0478,
    CVE-2011-3062, CVE-2012-0479
  * [7754de6] rebuild patch queue from patch-queue branch
    added patches:
    - debian-hacks/Bug-508942-Use-Preprocessor.py-filters-in-defines-an.patch
    - fixes/Bug-706724-Fix-for-error-ftruncate-was-not-declared-.patch
      (Closes: #667205)
    - fixes/Bug-747322-Fix-jemalloc-mmap-wrapper-for-s390x.patch
    - fixes/Fix-more-gcc-4.7-errors-in-ipc-code.patch
    - porting/Bug-706787-Crash-on-s390x-nsXPCComponents-AttachNewC.patch
    - porting/Bug-747870-Properly-align-XPCLazyCallContext-mData.-.patch
    obsolete patches (fixed upstream):
    - fixes/Bug-710268-Sign-NSS-libraries-only-when-they-exist-r.patch
    - fixes/Fixup-bz-730195-for-Linux-ARM-use-_URC_FOREIGN_EXCEP.patch

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 10 May 2012 16:29:30 +0200

icedove (10.0.3-3) unstable; urgency=low

  * [c8d72a6] relax optimize to -O1 on sparc to fix FTBFS

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 29 Mar 2012 17:56:38 +0200

icedove (10.0.3-2) unstable; urgency=low

  [ Christoph Goehre ]

