=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 DEB_MOZ_EXTENSIONS=default
 DEB_DBG_PACKAGES = $(DEB_MOZ_NAME)-dbg
 
-DEB_DH_SHLIBDEPS_ARGS_ALL=-l $(DEB_DESTDIR)usr/lib/$(DEB_MOZ_APPLICATION) -Xlibmozgnome -Xlibnkgnomevfs -Xlibdbusservice
+DEB_DH_SHLIBDEPS_ARGS_ALL=-l $(DEB_DESTDIR)usr/lib/$(DEB_MOZ_APPLICATION) -Xlibmozgnome -Xlibdbusservice
 
 DEB_DH_MAKESHLIBS_ARGS_ALL=-Xlibsystem-pref.so
 
@@ -78,6 +78,7 @@
 	--with-system-libevent \
 	--with-system-nspr \
 	--with-system-nss \
+	--with-system-ply \
 	--disable-javaxpcom \
 	--disable-crashreporter \
 	--disable-elf-dynstr-gc \
@@ -88,13 +89,14 @@
 	--disable-tests \
 	--disable-mochitest \
 	--disable-updater \
+	--disable-gnomevfs \
 	--enable-pango \
 	--enable-xft \
 	--enable-xinerama \
 	--enable-svg \
 	--enable-svg-renderer=cairo \
-	--enable-gnomevfs \
 	--enable-gnomeui \
+	--enable-gio \
 	--enable-canvas \
 	--enable-crypto \
 	--enable-shared-js \
@@ -102,6 +104,7 @@
 	--enable-system-sqlite \
 	--enable-system-ffi \
 	--enable-system-hunspell \
+	--enable-readline \
 	--with-distribution-id=$(DEBIAN_DIST) \
 	--build=$(DEB_BUILD_GNU_TYPE) \
 	--host=$(DEB_HOST_GNU_TYPE) \
@@ -114,6 +117,10 @@
 	DEB_CONFIGURE_USER_FLAGS += --enable-optimize
 endif
 
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	DEB_CONFIGURE_USER_FLAGS += --enable-debug
+endif
+
 ifneq (,$(filter kfreebsd-% hurd-%,$(DEB_BUILD_ARCH)))
 	DEB_CONFIGURE_USER_FLAGS += --disable-necko-wifi
 endif
@@ -128,6 +135,10 @@
 
 ifeq ($(DEB_BUILD_ARCH),armel)
 	DEB_CONFIGURE_USER_FLAGS += --disable-methodjit
+endif
+
+ifeq ($(DEB_BUILD_ARCH),sparc)
+	DEB_CONFIGURE_USER_FLAGS += --enable-optimize=-O1
 endif
 
 subst_files = \
@@ -222,5 +233,3 @@
 common-install-arch::
 	set -e; mkdir -p debian/iceowl-extension/usr/lib/iceowl-extension \
 		debian/calendar-google-provider/usr/lib/calendar-google-provider \
-		debian/calendar-timezones/usr/lib/calendar-timezones; \
-		sh -c "set -e; cd debian/iceowl-extension/usr/lib/iceowl-extension/; unzip $(CURDIR)/mozilla/dist/xpi-stage/lightning.xpi"; \
