## icedove 17.0.10

=== debian/changelog ===
icedove (17.0.10-1~deb7u1) stable-security; urgency=low

  * [6f2593b] Imported Upstream version 17.0.10
    - MFSA 2013-93 aka CVE-2013-5590
    - MFSA 2013-95 aka CVE-2013-5604
    - MFSA 2013-96 aka CVE-2013-5595
    - MFSA 2013-98 aka CVE-2013-5597
    - MFSA 2013-100 CVE-2013-5599, CVE-2013-5600, CVE-2013-5601
    - MFSA 2013-101 aka CVE-2013-5602

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 03 Nov 2013 18:22:24 -0500

icedove (17.0.9-1~deb7u1) stable-security; urgency=low

  * [f503b4d] Imported Upstream version 17.0.9
    - MFSA 2013-76 aka CVE-2013-1718
    - MFSA 2013-79 aka CVE-2013-1722
    - MFSA 2013-82 aka CVE-2013-1725
    - MFSA 2013-88 aka CVE-2013-1730
    - MFSA 2013-89 aka CVE-2013-1732
    - MFSA 2013-90 aka CVE-2013-1735, CVE-2013-1736
    - MFSA 2013-91 aka CVE-2013-1737
  * [5a8b5aa] rebuild patch queue from patch-queue branch

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 22 Sep 2013 17:52:17 -0400

icedove (17.0.8-1~deb7u1) stable-security; urgency=low

  [ Guido Günther ]
  * [455bfe7] New upstream version 17.0.8
    - MFSA 2013-63 aka CVE-2013-1701, CVE-2013-1702
    - MFSA 2013-68 aka CVE-2013-1709
    - MFSA 2013-69 aka CVE-2013-1710
    - MFSA 2013-72 aka CVE-2013-1713
    - MFSA 2013-73 aka CVE-2013-1714
    - MFSA 2013-75 aka CVE-2013-1717

  [ Christoph Goehre ]
  * [19ed581] rebuild patch queue from patch-queue branch
    added patches:
    - esr17-backport/Bug-746112-Don-t-decommit-if-page-size-is-too-large.patch
    - esr17-backport/Bug-840242-Use-the-runtime-page-size-to-control-aren.patch
      (Closes: #708331)
    - porting/Fix-ipc-chromium-on-kFreeBSD-and-Hurd.patch

 -- Christoph Goehre <chris@sigxcpu.org>  Tue, 27 Aug 2013 12:34:49 -0400

icedove (17.0.7-1~deb7u1) stable-security; urgency=low

  * [b8fd345] Imported Upstream version 17.0.7
    - MFSA 2013-49 aka CVE-2013-1682
    - MFSA 2013-50 aka CVE-2013-1684, CVE-2013-1685, CVE-2013-1686
    - MFSA 2013-51 aka CVE-2013-1687
    - MFSA 2013-53 aka CVE-2013-1690
    - MFSA 2013-54 aka CVE-2013-1692
    - MFSA 2013-55 aka CVE-2013-1693
    - MFSA 2013-56 aka CVE-2013-1694
    - MFSA 2013-59 aka CVE-2013-1697
  * [3133999] rebuild patch queue from patch-queue branch
    modified patches:
    - porting/Don-t-hardcode-page-size-on-ia64-sparc-or-mipsel.patch
  * [3332f92] lintian: change url to version control system
  * [534e2d1] linitan: bump up standards version to 3.9.4
  * [2b511d2] lintian: remove obsolete thunderbird dependency in
    iceowl-extension
  * [2081e7e] lintian: add Keywords to icedove desktop file
  * [7f8333c] lintian: mask minus signs in manpage with a backslash

 -- Christoph Goehre <chris@sigxcpu.org>  Wed, 03 Jul 2013 14:38:39 -0400

icedove (17.0.5-2) unstable; urgency=low

  [ Guido Günther ]
  * [4c7a88a] Install calendar-google-provider to /u/s/xul-ext
    (Closes: #638480)
  * [4c97096] Move calendar-timezones to /u/s/xul-ext (Closes: #638481)
  * [e9d0085] Move arch indep parts to common-install-indep

  [ Carsten Schoenert ]
  * [40d68d5] Fix build error on IA64 and Sparc
  * [59939c3] manpage: add example section and convert to UTF-8
  * [10647cf] fixing build failure depended on python-2.7 changes

  [ Christoph Goehre ]
  * [0a7bb8b] create links for extension in
    /usr/share/mozilla/extensions/APPID
  * [5047e6b] remove
    icedove/save-a-copy-of-a-attached-file-when-sending-from-OOo.patch
    (Closes: #695323)

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 18 May 2013 17:53:21 -0400

icedove (17.0.5-1) experimental; urgency=low

  [ Guido Günther ]
  * [894ea6d] Include all needed libs to link against icedove's libxpcom
    (Closes: #477747)

  [ Carsten Schoenert ]
  * [6e00625] Point "Help->What's new" to the Debian Wiki (Closes: #570577)

  [ Christoph Goehre ]
  * [4766bc9] replace icon in searchplugin (bing, twitter) with download url
  * [e3dc726] Imported Upstream version 17.0.5

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 13 Apr 2013 12:19:06 -0400

icedove (17.0.4-1) experimental; urgency=low

  [ Guido Günther ]
  * [9ed54cb] Add Homepage
  * [bd41337] Add X-Debian-Homepage

  [ Carsten Schoenert ]
  * [1fba87f] New patch
    fix-function-nsMsgComposeAndSend-to-to-respect-Replo.patch fix function
    nsMsgComposeAndSend to respect ReploToSend
    Thanks to Emilio Pozuelo Monfort for the patch (Closes: #565903)

  [ Christoph Goehre ]
  * [7a1071b] update debug section in icedove manpage (Closes: #698163)
  * [017f5b5] Imported Upstream version 17.0.4 (Closes: #702927)
  * [7c35529] compress debian packages with xz

 -- Christoph Goehre <chris@sigxcpu.org>  Wed, 13 Mar 2013 19:00:07 -0400

icedove (17.0.2-1) experimental; urgency=low

  * [8911b88] Finally set Christoph as Maintainer.
    Thanks for your work Alexander.
  * [d456018] parallel build: Use number or available cores by default
  * [daeee47] Don't refer to paths containing thunderbird (Closes: #486617)
  * [52a202a] New upstream version 17.0.2
  * [fa07537] Allow webrtc to build on more architectures.
    Thanks to Mike Hommey and Christoph Göhre

 -- Guido Günther <agx@sigxcpu.org>  Fri, 11 Jan 2013 17:37:46 +0100

icedove (17.0.2-1~1) experimental; urgency=low

  * [8911b88] Finally set Christoph as Maintainer. Thanks for your work
    Alexander.
  * [d456018] parallel build: Use number or available cores by default
  * [daeee47] Don't refer to paths containing thunderbird (Closes: #486617)
  * [52a202a] New upstream version 17.0.2
  * [fa07537] Allow webrtc to build on more architectures.
    Thanks to Mike Hommey and Christoph Göhre

 -- Guido Günther <agx@sigxcpu.org>  Fri, 11 Jan 2013 17:35:22 +0100

icedove (17.0-1) experimental; urgency=low

  [ Christoph Goehre ]
  * [0b8ac79] replace transitional depens ttf-lyx with fonts-lyx
    (Closes: #676505)
  * [4473d67] fix typo in calendar-google-provider description
  * [b3a57c0] rebuild patch queue from patch-queue branch
    added patches:
    porting/Another-fix-to-build-ipc-code-on-GNU-hurd-and-kfreeb.patch


