=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: icedove
 Section: mail
 Priority: optional
-Maintainer: Alexander Sack <asac@debian.org>
-Uploaders: Guido Günther <agx@sigxcpu.org>, Christoph Goehre <chris@sigxcpu.org>
+Maintainer: Christoph Goehre <chris@sigxcpu.org>
+Uploaders: Guido Günther <agx@sigxcpu.org>
 Build-Depends: bzip2,
 	debhelper (>= 5),
 	autoconf2.13,
@@ -31,6 +31,7 @@
 	libiw-dev [linux-any],
 	python,
 	python-ply,
+	python-virtualenv,
 	cdbs (>= 0.4.27),
 	libnotify-dev,
 	libffi-dev,
@@ -38,9 +39,11 @@
 	libvpx-dev (>= 1.0.0),
 	mesa-common-dev,
 	libreadline-dev
-Vcs-Git: git://git.debian.org/pkg-mozilla/icedove.git
-Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/icedove.git;a=summary
-Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/pkg-mozilla/icedove.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozilla/icedove.git;a=summary
+Homepage: http://www.mozilla.org/thunderbird/
+X-Debian-Homepage: http://wiki.debian.org/Icedove
+Standards-Version: 3.9.4
 
 Package: icedove
 Architecture: any
@@ -89,7 +92,7 @@
  you need to debug such a program or if you need a useful backtrace of a crash.
 
 Package: calendar-timezones
-Architecture: any
+Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Timezone Extension for Lightning/Iceowl (mandatory)
  This package provides timezone data for the Lightning/Iceowl extension. It's
@@ -97,8 +100,7 @@
 
 Package: iceowl-extension
 Architecture: any
-Depends: icedove (>= ${binary:Version}) | thunderbird (>= ${binary:Version}),
- calendar-timezones (= ${binary:Version}),
+Depends: icedove (>= ${binary:Version}), calendar-timezones (= ${source:Version}),
  ${shlibs:Depends}, ${misc:Depends}
 Recommends: calendar-google-provider
 Suggests: fonts-lyx
@@ -107,10 +109,10 @@
  Icedove.
 
 Package: calendar-google-provider
-Architecture: any
+Architecture: all
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Description: Google Calendar support for lighting- and iceowl-extension
+Description: Google Calendar support for lightning- and iceowl-extension
  Google Calendar support extension for the Iceowl/Lightning extension. It's a
  recommended component if you want to connect to your google calendar.
