=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export BUILD_OFFICIAL=1
+export MOZILLA_OFFICIAL=1
 export INSTALL_SDK=1
 export MAIL_PKG_SHARED=1
 
@@ -58,6 +58,7 @@
 DEB_DH_SHLIBDEPS_ARGS_ALL=-l $(DEB_DESTDIR)usr/lib/$(DEB_MOZ_APPLICATION) -Xlibmozgnome -Xlibdbusservice
 
 DEB_DH_MAKESHLIBS_ARGS_ALL=-Xlibsystem-pref.so
+DEB_DH_BUILDDEB_ARGS ?= -u-Zxz
 
 # DEB_CONFIGURE_SCRIPT_ENV = \
 # 	MOZ_OBJDIR=@TOPSRCDIR@/$(DEB_BUILDDIR) \
@@ -121,6 +122,13 @@
 	DEB_CONFIGURE_USER_FLAGS += --enable-debug
 endif
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+else
+	DEB_PARALLEL_JOBS += $(shell getconf _NPROCESSORS_ONLN)
+endif
+MAKEFLAGS += -j$(DEB_PARALLEL_JOBS)
+
 ifneq (,$(filter kfreebsd-% hurd-%,$(DEB_BUILD_ARCH)))
 	DEB_CONFIGURE_USER_FLAGS += --disable-necko-wifi
 endif
@@ -228,8 +236,3 @@
 binary-install/$(DEB_MOZ_APPLICATION)::
 	touch debian/$(DEB_MOZ_NAME)$(DEBIAN_TB_DIR)/.autoreg
 	dh_install -p$(DEB_MOZ_APPLICATION) debian/tmp/usr/share/pixmaps/$(DEB_MOZ_APPLICATION).xpm usr/share/pixmaps
-	dh_link -p$(DEB_MOZ_APPLICATION) $(DEBIAN_TB_DIR)/$(DEB_MOZ_APPLICATION) usr/bin/$(DEB_MOZ_APPLICATION)
-
-common-install-arch::
-	set -e; mkdir -p debian/iceowl-extension/usr/lib/iceowl-extension \
-		debian/calendar-google-provider/usr/lib/calendar-google-provider \
